package com.yihu.hos.resource.model;

/**
 * RsResourceDataset entity. @author MyEclipse Persistence Tools
 */

public class RsResourceDataset implements java.io.Serializable {

	// Fields

	private String id;
	private String code;
	private String name;
	private String language;
	private Integer catalog;
	private String summary;
	private String classModel;

	// Constructors

	/** default constructor */
	public RsResourceDataset() {
	}

	/** minimal constructor */
	public RsResourceDataset(String code, String name) {
		this.code = code;
		this.name = name;
	}

	/** full constructor */
	public RsResourceDataset(String code, String name, String language, Integer catalog, String summary, String classModel) {
		this.code = code;
		this.name = name;
		this.language = language;
		this.catalog = catalog;
		this.summary = summary;
		this.classModel = classModel;
	}

	// Property accessors


	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getCode() {
		return this.code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getLanguage() {
		return this.language;
	}

	public void setLanguage(String language) {
		this.language = language;
	}

	public Integer getCatalog() {
		return this.catalog;
	}

	public void setCatalog(Integer catalog) {
		this.catalog = catalog;
	}

	public String getSummary() {
		return this.summary;
	}

	public void setSummary(String summary) {
		this.summary = summary;
	}

	public String getClassModel() {
		return this.classModel;
	}

	public void setClassModel(String classModel) {
		this.classModel = classModel;
	}

}